# eheso_api_client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1
- Package version: 0.1.18
- Generator version: 7.7.0
- Build package: org.openapitools.codegen.languages.PythonPydanticV1ClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import eheso_api_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import eheso_api_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import eheso_api_client
from eheso_api_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://dev.observatory.eter-project.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = eheso_api_client.Configuration(
    host = "https://dev.observatory.eter-project.com/api/v1"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: ApiKeyAuth
configuration.api_key['ApiKeyAuth'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['ApiKeyAuth'] = 'Bearer'


# Enter a context with an instance of the API client
with eheso_api_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = eheso_api_client.LayerDataApi(api_client)
    layer_id = 'HEI' # str | The ID of the layer
    format = eheso_api_client.Format() # Format | 

    try:
        # Get All Layer Data
        api_response = api_instance.layer_query_get(layer_id, format)
        print("The response of LayerDataApi->layer_query_get:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling LayerDataApi->layer_query_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://dev.observatory.eter-project.com/api/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*LayerDataApi* | [**layer_query_get**](docs/LayerDataApi.md#layer_query_get) | **GET** /layer/{layerId}/query | Get All Layer Data
*LayerDataApi* | [**layer_query_post**](docs/LayerDataApi.md#layer_query_post) | **POST** /layer/{layerId}/query | Query Layer Data
*LayerInfoApi* | [**field_get**](docs/LayerInfoApi.md#field_get) | **GET** /layer/{layerId}/info/field | Get Minimal Field Information


## Documentation For Models

 - [ErrorSchema](docs/ErrorSchema.md)
 - [FieldInfoResponseInner](docs/FieldInfoResponseInner.md)
 - [FieldInfoResponseInnerInfo](docs/FieldInfoResponseInnerInfo.md)
 - [Format](docs/Format.md)
 - [QueryPostSchema](docs/QueryPostSchema.md)
 - [QueryPostSchemaSortValue](docs/QueryPostSchemaSortValue.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="ApiKeyAuth"></a>
### ApiKeyAuth

- **Type**: API key
- **API key parameter name**: x-api-key
- **Location**: HTTP header


## Author




